<template>
  <component :is="currentLayout">
    <router-view></router-view>
  </component>
</template>

<script>
import Vue from 'vue';

export default {
  props: {
    layouts: {
      type: Object,
    },
    current: {
      type: String,
    },
  },
  computed: {
    currentLayout() {
      return this.layouts[this.current];
    },
  },
};
</script>